/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.batchprocess;

import java.io.Serializable;

/**
 * Initial javadoc for class DataProcessWorkerInput.
 * TODO - Add content here
 * 
 * Created Sep 21, 2006 3:31:33 PM
 * @author DNS   BOHMEG
 */
public class DataProcessWorkerInput implements Serializable {
	/**
	 * serialVersionUID long
	 */
	private static final long serialVersionUID = -126094157014394908L;
	private Serializable id;
	private String context;
	private String processName;
	private int totalCount;
	private int payloadCount;
	private Object payload;
	/**
	 * @return Returns the context.
	 */
	public String getContext() {
		return context;
	}
	/**
	 * @param context The context to set.
	 */
	public void setContext(String context) {
		this.context = context;
	}
	/**
	 * @return Returns the payload.
	 */
	public Object getPayload() {
		return payload;
	}
	/**
	 * @param payload The payload to set.
	 */
	public void setPayload(Object payload) {
		this.payload = payload;
	}
	/**
	 * @return Returns the payloadCount.
	 */
	public int getPayloadCount() {
		return payloadCount;
	}
	/**
	 * @param payloadCount The payloadCount to set.
	 */
	public void setPayloadCount(int payloadCount) {
		this.payloadCount = payloadCount;
	}
	/**
	 * @return Returns the totalCount.
	 */
	public int getTotalCount() {
		return totalCount;
	}
	/**
	 * @param totalCount The totalCount to set.
	 */
	public void setTotalCount(int totalCount) {
		this.totalCount = totalCount;
	}
	/**
	 * @return Returns the id.
	 */
	public Serializable getId() {
		return id;
	}
	/**
	 * @param id The id to set.
	 */
	public void setId(Serializable id) {
		this.id = id;
	}
	/**
	 * @return Returns the processName.
	 */
	public String getProcessName() {
		return processName;
	}
	/**
	 * @param processName The processName to set.
	 */
	public void setProcessName(String processName) {
		this.processName = processName;
	}
}
